org.apache.ignite.internal.processors.segmentation.os

## Class GridOsSegmentationProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.segmentation.os.GridOsSegmentationProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor, GridSegmentationProcessor

    public class GridOsSegmentationProcessor
    extends GridProcessorAdapter
    implements GridSegmentationProcessor

No-op implementation for `GridSegmentationProcessor`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridOsSegmentationProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`boolean` `isValidSegment()` Performs network segment check.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, validateNode`

### Constructor Detail

#### GridOsSegmentationProcessor

    public GridOsSegmentationProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### isValidSegment

    public boolean isValidSegment()

Performs network segment check.

This method is called by discovery manager in the following cases:

1. Before discovery SPI start.
2. When other node leaves topology.
3. When other node in topology fails.
4. Periodically (see `IgniteConfiguration.getSegmentCheckFrequency()`).

Specified by:
  `isValidSegment` in interface `GridSegmentationProcessor`
Returns:
  `True` if segment is correct.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015